---
{%- from "burp/map.jinja" import burp with context %}
{%- if salt['grains.get']('init') == 'systemd' %}
burp-task:
 file.managed:
   - name: /etc/systemd/system/burp-backup.service
   - source: salt://burp/burp-backup.service.j2
   - user: root
   - mode: 0644
   - template: jinja

burp-timer:
 file.managed:
   - name: /etc/systemd/system/burp-backup.timer
   - source: salt://burp/burp-backup.timer.j2
   - user: root
   - mode: 0644
   - template: jinja
{%- endif %}