---
{% from "coronafana/map.jinja" import coronafana with context %}
coronafana-archive-extract:
  archive.extracted:
    - name: {{ coronafana.release_dir }}/coronafana-{{ coronafana.version }}
    - source: {{ coronafana.mirror }}/{{ coronafana.version }}/coronafana-{{ coronafana.version }}-{{ coronafana.os }}-{{ coronafana.arch }}.tar.gz
    - skip_verify: true
    - enforce_toplevel: false
    - if_missing: {{ coronafana.release_dir }}/coronafana-{{ coronafana.version }}

coronafana-binary-symlink:
  file.symlink:
    - name: {{ coronafana.install_dir }}/coronafana
    - target: {{ coronafana.release_dir }}/coronafana-{{ coronafana.version }}
    - require:
      - archive: coronafana-archive-extract