---
{%- from "dkron/map.jinja" import dkron with context -%}
dkron-config-dir:
  file.directory:
    - name: /etc/dkron
    - user: {{ dkron.runuser }}
    
dkron-config:
  file.managed:
    - name: /etc/dkron/dkron.yml
    - source: salt://dkron/dkron.yml.j2
    - user: {{ dkron.runuser }}
    - template: jinja
    - watch_in:
      - service: dkron-service