---
{%- from "dkron/map.jinja" import dkron with context %}
dkron-service-file:
  file.managed:
    - name: /etc/systemd/system/dkron@.service
    - source: salt://dkron/dkron.service.j2
    - user: root
    - group: root
    - template: jinja
    - watch_in:
      - service: dkron-service

dkron-service:
  service.running:
    - name: dkron@{{ dkron.runuser }}
    - enable: true