---
{%- from "docker/map.jinja" import docker with context %}
docker-config-dir:
  file.directory:
    - name: /etc/docker

docker-config-file:
  file.managed:
    - name: {{ docker.config_dir }}/{{ docker.config_file }}
    - source: salt://docker/daemon.json.j2
    - mode: 644
    - template: jinja
    - require:
      - file: docker-config-dir
    - watch_in:
      - service: docker-service