---
{%- from "gobackup/map.jinja" import gobackup with context %}
gobackup-config-dir:
  file.directory:
    - name: {{ gobackup.config_dir }}

gobackup-config-file:
  file.managed:
    - name: {{ gobackup.config_dir }}/gobackup.yml
    - source: salt://gobackup/templates/gobackup.yml.j2
    - template: jinja

gobackup-task-schedule:
  schedule.present:
    - name: gobackup-task-schedule
    - function: cmd.run
    - job_args:
      - gobackup perform
    - cron: '{{ gobackup.schedule }}'
    - run_on_start: false
