---
{%- from "mariadb/map.jinja" import mariadb with context %}
mariadb-config:
  file.managed:
    - name: /etc/mysql/mariadb.conf.d/server.cnf
    - source: salt://mariadb/server.cnf.j2
    - user: root
    - group: root
    - mode: 0644
    - template: jinja
    - require:
      - pkg: mariadb-install-pkgs
      - pip: mariadb-install-pip-pkgs
    - watch_in:
      - service: mariadb-service