---
{%- if not salt['file.file_exists']( salt['pillar.get']('molotov:dest_path') ) or not salt['file.check_hash']( salt['pillar.get']('molotov:dest_path'), salt['pillar.get']('molotov:file_sha256sum') ) %}
molotov-install:
  file.managed:
    - name: {{ salt['pillar.get']('molotov:dest_path') }}
    - source: {{ salt['pillar.get']('molotov:url') }}/{{ salt['pillar.get']('molotov:file') }}
    - source_hash: sha256={{ salt['pillar.get']('molotov:file_sha256sum') }}
    - user: root
    - group: root
    - mode: 755
{%- endif %}

molotov-icon:
  file.managed:
    - name: /usr/share/icons/molotov.png
    - source: salt://molotov/molotov.png
    - user: root
    - group: root
    - mode: 644

molotov-desktop-entry:
  file.managed:
    - name: /usr/share/applications/molotov.desktop
    - source: salt://molotov/molotov.desktop.j2
    - template: jinja
    - user: root
    - group: root
    - mode: 644
