---
{%- from "qrz/map.jinja" import qrz with context %}
qrz-archive-extract:
  archive.extracted:
    - name: {{ qrz.release_dir }}/qrz-{{ qrz.version }}
    - source: {{ qrz.mirror }}/{{ qrz.version }}/qrz-{{ qrz.version }}-{{ qrz.os }}-{{ qrz.arch }}.tar.gz
    - skip_verify: true
    - enforce_toplevel: false
    - if_missing: {{ qrz.release_dir }}/qrz-{{ qrz.version }}
    - watch_in:
      - service: qrz-service

qrz-binary-symlink:
  file.symlink:
    - name: {{ qrz.install_dir }}/qrz
    - target: {{ qrz.release_dir }}/qrz-{{ qrz.version }}
    - require:
      - archive: qrz-archive-extract
    - watch_in:
      - service: qrz-service