---
{%- from "salt_minion/map.jinja" import salt_minion with context -%}
salt-minion-config:
  file.managed:
    - name: /etc/salt/minion
    - source: salt://salt_minion/minion.j2
    - template: jinja
    - user: root
    - group: root
    - mode: 640

salt-minion-service:
  file.managed:
    - name: /etc/systemd/system/salt-minion.service
    - source: salt://salt_minion/salt-minion.service.j2
    - template: jinja
    - user: root
    - group: root
    - mode: 644
