---
{%- from "sublimetext/map.jinja" import sublimetext with context %}
sublime-text-extract-archive:
  archive.extracted:
    - name: {{ sublimetext.install_dir }}
    - source: {{ sublimetext.fetch_url }}/{{ sublimetext.archive_name }}
    - skip_verify: true
    - user: root
    - group: root
    - mode: 0755
    - if_missing: {{ sublimetext.install_dir }}/sublime_text_3

sublime-text-licence-key:
  file.managed:
    - name: {{ sublimetext.install_dir }}/sublime_text_3/sublime_text_keys.txt
    - source: salt://sublimetext/sublime_text_keys.txt.j2
    - template: jinja
    - user: root
    - group: root
    - mode: 0644

sublime-text-desktop-entry:
  file.managed:
    - name: /usr/share/applications/sublime_text.desktop
    - source: salt://sublimetext/sublime_text.desktop.j2
    - template: jinja
    - user: root
    - group: root
    - mode: 0644

sublime-text-symlink:
  file.symlink:
    - name: /usr/bin/sublime_text
    - target: {{ sublimetext.install_dir }}/sublime_text_3/sublime_text
    - user: root
    - group: root
    - mode: 0755