---
{%- from "telegraf/map.jinja" import telegraf with context %}
telegraf-config-dir:
  file.directory:
    - name: /etc/telegraf
    - watch_in:
      - service: telegraf-service

telegraf-config-file:
  file.managed:
    - name: /etc/telegraf/telegraf.conf
    - source: salt://telegraf/telegraf.conf.j2
    - user: root
    - group: root
    - mode: 600
    - template: jinja
    - watch_in:
      - service: telegraf-service