---
zsh-omz-repo:
  git.latest:
    - name: https://github.com/robbyrussell/oh-my-zsh.git
    - target: /usr/share/oh-my-zsh
    - require:
      - pkg: zsh-pkg

zsh-omz-profile:
  file.managed:
    - name: /usr/share/zsh/zprofile
    - source: salt://zsh/zprofile.j2
    - user: root
    - group: root
    - mode: 0644
    - template: jinja
    - require:
      - pkg: zsh-pkg