---
{%- from "users/map.jinja" import users with context -%}
{%- for user in users %}
{%- if user.enabled %}
zshrc-user-{{ user.name }}:
  file.managed:
    - name: {{ user.home }}/.zshrc
    - source: salt://zsh/zshrc.j2
    - user: {{ user.name }}
    - group: {{ user.gid }}
    - mode: 0644
    - template: jinja
    - require:
      - pkg: zsh-pkg
      - user: user-{{ user.name }}
{%- endif %}
{%- endfor %}