---
{%- from "dokuwiki/map.jinja" import dokuwiki with context %}
dokuwiki-archive:
  archive.extracted:
    - name: {{ dokuwiki.release_dir }}
    - source: {{ dokuwiki.mirror }}/{{ dokuwiki.version }}.tar.gz
    - skip_verify: true
    - archive_format: tar
    - user: {{ dokuwiki.user }}
    - group: {{ dokuwiki.group }}
    - if_missing: {{ dokuwiki.release_dir }}/dokuwiki-{{ dokuwiki.version }}

dokuwiki-install-link:
  file.symlink:
    - name: {{ dokuwiki.install_dir }}/dokuwiki
    - target: {{ dokuwiki.release_dir }}/dokuwiki-{{ dokuwiki.version }}
    - force: true

dokuwiki-savedir:
  file.directory:
    - name: {{ dokuwiki.config.savedir }}
    - user: {{ dokuwiki.user }}
    - group: {{ dokuwiki.group }}
