---
{%- from "g2g/map.jinja" import g2g with context %}
g2g-archive-extract:
  archive.extracted:
    - name: {{ g2g.release_dir }}/g2g-{{ g2g.version }}
    - source: {{ g2g.mirror }}/{{ g2g.version }}/g2g-{{ g2g.version }}-{{ g2g.os }}-{{ g2g.arch }}.tar.gz
    - skip_verify: true
    - enforce_toplevel: false
    - if_missing: {{ g2g.release_dir }}/g2g-{{ g2g.version }}

g2g-binary-symlink:
  file.symlink:
    - name: {{ g2g.install_dir }}/g2g
    - target: {{ g2g.release_dir }}/g2g-{{ g2g.version }}
    - require:
      - archive: g2g-archive-extract