---
{%- from "nftables/map.jinja" import nftables with context %}
nftables-pkg:
  pkg.latest:
    - name: nftables

nftables-main-config:
  file.managed:
    - name: /etc/nftables.conf
    - source: salt://nftables/nftables.conf.j2
    - template: jinja
    - watch_in:
      - service: nftables-service
    - require:
      - pkg: nftables-pkg

nftables-service:
  service.running:
    - name: nftables
    - enable: true
    - require:
      - pkg: nftables-pkg