---
pkg-clean-task-cron:
  cron.absent:
    - name: apt-get clean
    - user: root
    - identifier: pkg-clean-task

pkg-update-task-schedule:
  schedule.present:
    - name: pkg-update-task-schedule
    - function: pkg.refresh_db
    - minutes: 24

pkg-clean-task-schedule:
  schedule.present:
    - name: pkg-clean-task-schedule
    - function: cmd.run
    - job_args: apt-get clean
    - minutes: 12
    - hours: 12
