---
{%- from "syncthing/map.jinja" import syncthing with context %}
syncthing-service-file:
  file.managed:
    - name: /etc/systemd/system/syncthing@.service
    - source: salt://syncthing/syncthing.service.j2
    - user: root
    - group: root
    - template: jinja
    - watch_in:
      - service: syncthing-service

syncthing-service:
  service.running:
    - name: syncthing@{{ syncthing.user }}
    - enable: true