---
{%- from "telegraf/map.jinja" import telegraf with context %}
telegraf-service-file:
  file.managed:
    - name: /etc/systemd/system/telegraf.service
    - source: salt://telegraf/telegraf.service.j2
    - user: root
    - group: root
    - template: jinja
    - watch_in:
      - service: telegraf-service

telegraf-service:
  service.running:
    - name: telegraf
    - enable: true