---
{%- from "tmux/map.jinja" import tmux with context %}
tmux-pkg:
  pkg.latest:
    - name: tmux

tmux-config:
  file.managed:
    - name: /etc/tmux.conf
    - source: salt://tmux/tmux.conf.j2
    - user: root
    - group: root
    - template: jinja
    - require:
      - pkg: tmux-pkg