---
{%- from "users/map.jinja" import users with context -%}

{%- for user in users %}
{%- if not user.enabled %}
user-{{ user.name }}:
  user.absent:
    - name: {{ user.name }}
{%- endif %}
{%- endfor %}

{%- for user in users %}
{%- if user.enabled %}
user-{{ user.name }}:
  user.present:
    - name: {{ user.name }}
    - fullname: {{ user.fullname }}
    - shell: {{ user.shell }}
    - home: {{ user.home }}
    - password: {{ user.password }}
    - hash_password: true
    - gid: {{ user.gid }}
    - allow_gid_change: true
  {%- if user.optional_groups is defined %}
    - optional_groups:
  {%- for opt_group in user.optional_groups %}
      - {{ opt_group }}
  {%- endfor %}
  {%- endif %}
  {%- endif %}
{% endfor %}
